gld {fBasics} | R Documentation

## Generalized Lambda Distribution

### Description

Density, distribution function, quantile function and random generation for the generalized lambda distribution.

### Usage

    dgld(x, lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8, log = FALSE)
    pgld(q, lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)
    qgld(p, lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)
    rgld(n, lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

### Arguments

`lambda1, lambda2, lambda3, lambda4` | are numeric values where `lambda1` is the location parameter, `lambda2` is the location parameter, `lambda3` is the first shape parameter, and `lambda4` is the second shape parameter.
`n` | number of observations.
`p` | a numeric vector of probabilities.
`x, q` | a numeric vector of quantiles.
`log` | a logical, if TRUE, probabilities `p` are given as `log(p)`.

### Value

All values for the `*gld` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Chong Gu for code implemented from R's contributed package `gld`.

### Examples

    ## rgld -
       set.seed(1953)
       r = rgld(500,
         lambda1=0, lambda2=-1, lambda3=-1/8, lambda4=-1/8)
       plot(r, type = "l", col = "steelblue",
         main = "gld: lambda1=0 lambda2=-1 lambda3/4=-1/8")

    ## dgld -
       # Plot empirical density and compare with true density:
       hist(r, n = 25, probability = TRUE, border = "white",
         col = "steelblue")
       x = seq(-5, 5, 0.25)
       lines(x, dgld(x,
         lambda1=0, lambda2=-1, lambda3=-1/8, lambda4=-1/8))

    ## pgld -
       # Plot df and compare with true df:
       plot(sort(r), ((1:500)-0.5)/500, main = "Probability",
         col = "steelblue")
       lines(x, pgld(x,
         lambda1=0, lambda2=-1, lambda3=-1/8, lambda4=-1/8))

    ## qgld -
       # Compute Quantiles:
       qgld(pgld(seq(-5, 5, 1),
         lambda1=0, lambda2=-1, lambda3=-1/8, lambda4=-1/8),
         lambda1=0, lambda2=-1, lambda3=-1/8, lambda4=-1/8)

[Package fBasics version 3042.89 Index]